From 1de699da146b4ebfd376ed572bc7710809ba3870 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 01 2020 03:29:06 +0000
Subject: [PATCH 786/2232] Treat cxx_build::bridges as must_use, same as ::bridge


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 001f346..1b4bbaa 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -86,6 +86,7 @@ pub fn bridge(rust_source_file: impl AsRef<Path>) -> Build {
 ///     .flag_if_supported("-std=c++11")
 ///     .compile("cxxbridge-demo");
 /// ```
+#[must_use]
 pub fn bridges(rust_source_files: impl IntoIterator<Item = impl AsRef<Path>>) -> Build {
     let ref mut rust_source_files = rust_source_files.into_iter();
     build(rust_source_files).unwrap_or_else(|err| {

